cascading.tuple.hadoop

## Class BigDecimalSerialization.BigDecimalDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.BigDecimalSerialization.BigDecimalDeserializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Deserializer<BigDecimal>

Enclosing class:
  BigDecimalSerialization

    public static class BigDecimalSerialization.BigDecimalDeserializer
    extends Object
    implements org.apache.hadoop.io.serializer.Deserializer<BigDecimal>

### Constructor Summary

Constructors
Constructor and Description
`BigDecimalSerialization.BigDecimalDeserializer()`

### Method Summary

Methods
`void` `close()`
`BigDecimal` `deserialize(BigDecimal existing)`
`void` `open(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigDecimalSerialization.BigDecimalDeserializer

    public BigDecimalSerialization.BigDecimalDeserializer()

### Method Detail

#### open

    public void open(InputStream in)
              throws IOException

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Deserializer<BigDecimal>`
Throws:
  `IOException`

#### deserialize

    public BigDecimal deserialize(BigDecimal existing)
                           throws IOException

Specified by:
  `deserialize` in interface `org.apache.hadoop.io.serializer.Deserializer<BigDecimal>`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Deserializer<BigDecimal>`
Throws:
  `IOException`